[e10s] Intermittent test_navigation.py TestNavigate.test_set_location_through_execute_script | TimeoutException: Timed out after 5.0 seconds

RESOLVED FIXED in Firefox 53

Status

RESOLVED FIXED
2 years ago
4 months ago

People

(Reporter: intermittent-bug-filer, Assigned: whimboo)

Tracking

({intermittent-failure})

Version 3
mozilla55
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox50 wontfix, firefox51 wontfix, firefox52 wontfix, firefox-esr52 wontfix, firefox53 fixed, firefox54 fixed, firefox55 fixed)

Details

status-firefox50: --- → affected
status-firefox51: --- → affected
status-firefox52: --- → affected
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 2
* mozilla-central: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* linux32: 7
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-09-19&endday=2016-09-25&tree=all
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 3
* autoland: 2

Platform breakdown:
* linux64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-09-26&endday=2016-10-02&tree=all
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 7
* autoland: 4
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 11
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-10-03&endday=2016-10-09&tree=all
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 8
* autoland: 7
* mozilla-inbound: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 11
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-10-10&endday=2016-10-16&tree=all
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 6
* mozilla-inbound: 3
* mozilla-central: 1
* mozilla-aurora: 1
* fx-team: 1
* autoland: 1

Platform breakdown:
* linux32: 9
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-10-17&endday=2016-10-23&tree=all
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 6
* autoland: 1

Platform breakdown:
* linux64: 6
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-10-24&endday=2016-10-30&tree=all
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-release: 4
* mozilla-beta: 3
* mozilla-inbound: 2
* mozilla-central: 2
* autoland: 1

Platform breakdown:
* linux64: 8
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-10-31&endday=2016-11-06&tree=all
(Assignee)

Comment 8

2 years ago
 05:05:33     INFO -   File "/builds/slave/test/build/tests/marionette/tests/testing/marionette/harness/marionette/tests/unit/test_navigation.py", line 26, in test_set_location_through_execute_script
05:05:33 INFO - Wait(self.marionette).until(lambda _: self.test_doc == self.location_href)

It fails here:

https://dxr.mozilla.org/mozilla-central/rev/d38d06f85ef59c5dbb5d4a1a8d895957a78714de/testing/marionette/harness/marionette/tests/unit/test_navigation.py#26

The new URL gets set via `execute_script("window.location.href = '%s'" % self.test_doc)`. 

Maybe it's a side-effect of bug 1145668 and manifests as a race in rare conditions.
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 5
* mozilla-inbound: 4
* mozilla-release: 2

Platform breakdown:
* linux64: 6
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-11-07&endday=2016-11-13&tree=all
(Assignee)

Comment 10

2 years ago
This is strange. We exactly call execute_script once and get about:blank returned:

1479398164260	Marionette	TRACE	conn730 -> [0,6,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[],"filename":"test_navigation.py","script":"window.location.href = 'http://127.0.0.1:46050/test.html'","sandbox":"default","line":25}]
1479398164448	Marionette	TRACE	conn730 <- [1,6,null,{"value":null}]
1479398164775	Marionette	TRACE	conn730 -> [0,7,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[],"filename":"test_navigation.py","script":"return window.location.href","sandbox":"default","line":145}]
1479398169779	Marionette	TRACE	conn730 <- [1,7,null,{"value":"about:blank"}]
1479398169832	Marionette	TRACE	conn730 -> [0,8,"getContext",null]
1479398169839	Marionette	TRACE	conn730 <- [1,8,null,{"value":"content"}]
1479398170161	Marionette	TRACE	conn730 -> [0,9,"setContext",{"value":"chrome"}]
1479398170177	Marionette	TRACE	conn730 <- [1,9,null,{}]

As you can see the call to execute_script() took about 5s and it only called once because we directly run into the timeout. So something in that code caused Marionette not to return the href immediately but delayed it.
30 failures in 715 pushes (0.042 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 13
* mozilla-inbound: 12
* mozilla-central: 2
* graphics: 2
* mozilla-release: 1

Platform breakdown:
* linux64: 23
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-11-14&endday=2016-11-20&tree=all
(Assignee)

Comment 12

2 years ago
This is all about e10s, and doesn't fail if it is disabled.
status-firefox53: --- → affected
Summary: Intermittent test_navigation.py TestNavigate.test_set_location_through_execute_script | TimeoutException: Timed out after 5.0 seconds → [e10s] Intermittent test_navigation.py TestNavigate.test_set_location_through_execute_script | TimeoutException: Timed out after 5.0 seconds
44 failures in 623 pushes (0.071 failures/push) were associated with this bug in the last 7 days. 

This is the #32 most frequent failure this week. 

Repository breakdown:
* autoland: 22
* mozilla-inbound: 14
* mozilla-central: 3
* mozilla-aurora: 3
* try: 2

Platform breakdown:
* linux64: 35
* linux32: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-11-21&endday=2016-11-27&tree=all
21 failures in 694 pushes (0.03 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 10
* mozilla-inbound: 5
* try: 2
* mozilla-release: 2
* mozilla-central: 2

Platform breakdown:
* linux64: 20
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-11-28&endday=2016-12-04&tree=all
7 failures in 289 pushes (0.024 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2
* mozilla-release: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 5
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-12-05&endday=2016-12-11&tree=all
9 failures in 526 pushes (0.017 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 2
* try: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 8
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-12-12&endday=2016-12-18&tree=all
7 failures in 305 pushes (0.023 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* mozilla-release: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 5
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2016-12-26&endday=2017-01-01&tree=all
13 failures in 563 pushes (0.023 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2017-01-02&endday=2017-01-08&tree=all
22 failures in 845 pushes (0.026 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 5
* mozilla-central: 3
* mozilla-beta: 3
* mozilla-aurora: 2

Platform breakdown:
* android-4-3-armv7-api15: 21
* android-api-15-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2017-03-27&endday=2017-04-02&tree=all
Too late for firefox 52, mass-wontfix.
status-firefox52: affected → wontfix
(Assignee)

Comment 21

2 years ago
This should be fixed with my patch on bug 1354310.
Assignee: nobody → hskupin
Status: NEW → ASSIGNED
status-firefox54: --- → affected
status-firefox55: --- → affected
Depends on: 1354310
6 failures in 867 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-aurora: 2
* try: 1
* mozilla-inbound: 1
* mozilla-beta: 1
* graphics: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2017-04-03&endday=2017-04-09&tree=all
(Assignee)

Comment 23

2 years ago
Fixed by the patch on bug 1354310].
status-firefox55: affected → fixed
status-firefox-esr52: --- → affected
(Assignee)

Updated

2 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
status-firefox50: affected → wontfix
status-firefox51: affected → wontfix
status-firefox53: affected → fixed
status-firefox54: affected → fixed
(Assignee)

Comment 24

2 years ago
The patch on bug 1354310 will not be uplifted to esr52.
status-firefox-esr52: affected → wontfix
1 failures in 462 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2018-01-01&endday=2018-01-07&tree=all
2 failures in 701 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2018-01-22&endday=2018-01-28&tree=all
5 failures in 735 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 5

Platform breakdown:
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2018-01-29&endday=2018-02-04&tree=all
2 failures in 702 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2018-02-05&endday=2018-02-11&tree=all
1 failures in 831 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2018-02-26&endday=2018-03-04&tree=all
1 failures in 747 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1303942&startday=2018-03-05&endday=2018-03-11&tree=all
2 failures in 521 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* windows8-64: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1303942&startday=2018-06-18&endday=2018-06-24&tree=trunk
You need to log in before you can comment on or make changes to this bug.